/****************************************************

  linklist.h

  Definition file for linked list implementation
  
  Data Structure Series - Part I - Linked Lists

*****************************************************/

#ifndef __LINKLIST_H
#define __LINKLIST_H

#include <stdio.h>
#include <stdlib.h>


// node definition
typedef struct node
{
	int id;				// node id
	struct node *next;		// link to next node
} node_t;

node_t *Allocate();
void Initialize(node_t **ptr);
void InsertFront(node_t **head, node_t newRecord);
void DisplayList(node_t *head);
void DeleteNode(node_t **head, node_t keyRecord);

node_t *Find(node_t *head, node_t keyRecord);


#endif